import axios from '@/ajax.js';
const webBaseUrl = '/web'
const designBaseUrl = '/design'
//请求菜单
export function queryMenusByParentId(data) {
    return axios({
        url: designBaseUrl+ "/systemsetting/menu/queryMenusByParentId",
        method: 'get',
        params: data
    })
}

export function crossDeviceStatusInfo(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/crossDeviceStatusInfo",
        method: 'get',
        params: data
    })
}

//路口报警
export function apiCrossAlarm(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/crossAlarm",
        method: 'get',
        params: data
    })
}
//事件报警
export function apiEventAlarm(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/eventAlarm",
        method: 'post',
        data: data
    })
}

//优化记录
export function apiOptRecords(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/optRecords",
        method: 'post',
        data: data
    })
}

//信号控制状态
export function controlHist(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/controlHist",
        method: 'post',
        data: data
    })
}

//在途车辆
export function vehicleTraceHist(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/vehicleTraceHist",
        method: 'post',
        data: data
    })
}
//绿波监测
export function greenwaveRealtime(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/greenwaveRealtime",
        method: 'post',
        data: data
    })
}

//交通设备状态
export function allDeviceStatus(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/allDeviceStatus",
        method: 'post',
        data: data
    })
}

//视频设备信息状态
export function videoDeviceInfo(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/videoDeviceInfo",
        method: 'post',
        data: data
    })
}
//信号评价
export function signalComment(data) {
    return axios({
        url: webBaseUrl+"/signalEvaluate/flowQueue",
        method: 'post',
        data: data
    })
}
//信号机树表
export function api_signalTree(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/jurisdictionTree",
        method: 'get',
        params: data
    })
}
//查询区域列表
export function api_mapArea(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/areaListNew",
        method: 'get',
        params: data
    })
}
//路口列表 
export function api_crossList(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/listSignalControlInfos",
        method: 'get',
        params: data
    })
}
//信号机故障列表
export function api_troubleList(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/listSignalFaultInfos",
        method: 'get',
        params: data
    })
}
//信号服务
export function api_signalService(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/signalService",
        method: 'get',
        params: data
    })
}

//信号机故障统计
export function api_troubleCount(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/countSignalFaultInfos",
        method: 'get',
        params: data
    })
}
//运行模式统计
export function api_runModelCount(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/countSignalControlInfos",
        method: 'get',
        params: data
    })
}


//设备厂家
export function api_deviceUnit(data) {
    return axios({
        url: webBaseUrl+"/situationDetection/signalManufacturerInfoCount",
        method: 'get',
        params: data
    })
}
//手控-相位锁定
export function api_lockControl(data) {
    return axios({
        url: webBaseUrl+"/controlCommand/lockControl",
        method: 'post',
        data: data
    })
}
//手控-步进控制
export function api_stepControl(data) {
    return axios({
        url: webBaseUrl+"/controlCommand/stepControl",
        method: 'post',
        data: data
    })
}


